﻿/* Text Field */
.BlocForms .textfield .field.Medium input, .BlocForms .textfield .field input, .BlocForms .field input {
    width: 100%;
    height: 34px;
    padding: 6px 10px;
    font-size: 16px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
	outline: 0;
}

.BlocForms .textfield .field.Medium input:focus, .BlocForms .textfield .field input:focus {
	outline: 0;
    box-shadow: 0 0 0 1px var(--ct-secondary-color),0 0 8px var(--ct-secondary-color)
}

/*Select*/
.field select {
    border: 1px solid #767676;
    border-radius: 2px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAJ1BMVEVmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmZmaP/QSjAAAADHRSTlMAAgMJC0uWpKa6wMxMdjkoAAAANUlEQVR4AeXJyQEAERAAsNl7Hf3X6xt0QL6JpZWq30pdvdadme+0PMdzvHm8YThHcT1H7K0BtOMDniZhWOgAAAAASUVORK5CYII=");
    -webkit-background-size: 13px 13px;
    background-size: 13px;
    background-repeat: no-repeat;
    background-position: calc(100% - 7px) center;
    padding: 5px 30px 4px 10px;
    font-size: 13px;
    line-height: 1.5;
    background-color: transparent;
    min-width: 220px;
    box-shadow: none
}

.BlocForms .dropdownlist .field select:focus, .field select:focus {
	outline: 0;
    box-shadow: 0 0 0 1px var(--ct-secondary-color),0 0 8px var(--ct-secondary-color)
}

/* Radio */
input[type="radio"] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  position: relative;
  width: 16px;
  height: 16px;
  margin: 4px;
  border: 1px solid #57585b;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
}
input[type="radio"]:checked::before {
  content: "";
  position: absolute;
  top: 2px;
  left: 2px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: var(--ct-secondary-color);
}
input[type="radio"]:focus {
  outline: none;
  box-shadow: 0 0 0 2px rgba(220, 53, 69, 0.4);
}


/* Checkbox */
input[type="checkbox"] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  position: relative;
  width: 18px;
  height: 18px;
  border: 1px solid #57585b;
  border-radius: 3px;
  background-color: #fff;
  cursor: pointer;
  margin: 4px;
  transition: 240ms;
  
  /*Pour l'alignement avec le label*/
  margin: 0 0 0 0;
  vertical-align: middle;
  display: inline-block;
  top: -2px;
}
input[type="checkbox"]:checked::before {
  content: "";
  position: absolute;
  top: 0px;
  left: 5px;
  width: 6px;
  height: 12px;
  border: 2px solid #fff;
  border-top: none;
  border-left: none;
  transform: rotate(45deg);
  background: transparent;
}
input[type="checkbox"]:checked {
  background-color: var(--ct-secondary-color, red);
  border-color: var(--ct-secondary-color, red);
}
input[type="checkbox"]:focus {
  outline: none;
  box-shadow: 0 0 0 2px rgba(220, 53, 69, 0.4);
}

/* Page */
.formtab.fullWidth {
	width: 100%;
}

.CtrDebiteur .paragraph {
    border: 1px solid #CCC;
    padding: 0 15px 15px;
    margin: 0 0 30px 0;
}

.CtrDebiteur .paragraph table {
    border: 0;
}

.CtrDebiteur .paragraph table td {
    border: 0;
}

.CtrDebiteur .paragraph table td:first-child {
    display: none;
}

.CtrDebiteur .presta_table td,
.CtrDebiteur .presta_table th {
    padding: 0;
}

#vehicleTax\.isRegisteredSection\.isRegistered:checked::before,
#vehicleTax\.isRegisteredSection\.isRegistered\-false:checked::before {
  display: none !important;
}